This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1477773 - OSP11 -> OSP12 upgrade: ceilometer agent services are running on host after compute nodes upgrade
OSP11 -> OSP12 upgrade: ceilometer agent services are running on host after c...
Status: MODIFIED
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
12.0 (Pike)
Unspecified Unspecified
high Severity urgent
: ga
: 12.0 (Pike)
Assigned To: Lee Yarwood
Gurenko Alex
: Triaged
Depends On:
Blocks: 1399762
  Show dependency treegraph
 
Reported: 2017-08-02 17:54 EDT by Marius Cornea
Modified: 2017-09-28 11:23 EDT (History)
8 users (show)

See Also:
Fixed In Version: openstack-tripleo-heat-templates-7.0.1-0.20170925173113.afbe64a.el7.centos
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1696089 None None None 2017-08-15 06:08 EDT
Launchpad 1710866 None None None 2017-08-15 08:02 EDT
OpenStack gerrit 471421 None None None 2017-08-15 06:09 EDT
OpenStack gerrit 493825 None None None 2017-08-15 06:23 EDT

  None (edit)
Description Marius Cornea 2017-08-02 17:54:06 EDT
Description of problem:
OSP11 -> OSP12 upgrade: ceilometer agent services are running on host after compute nodes upgrade:

[root@compute-1 heat-admin]# systemctl list-units --all | grep ceilometer
  openstack-ceilometer-compute.service                                          loaded    active   running   OpenStack ceilometer compute agent
  openstack-ceilometer-polling.service                                          loaded    active   running   OpenStack ceilometer polling agent

There are no ceilometer containers running on the compute node so I'm wondering if these services should be removed from host and moved inside containers or removed alltogether:

[root@compute-1 heat-admin]# docker ps
CONTAINER ID        IMAGE                                                                   COMMAND             CREATED             STATUS              PORTS               NAMES
1aa6850acdff        192.168.24.1:8787/rhosp12/openstack-nova-compute-docker:2017-07-26.10   "kolla_start"       2 hours ago         Up 14 minutes                           nova_compute
dccbac08a18c        192.168.24.1:8787/rhosp12/openstack-iscsid-docker:2017-07-26.10         "kolla_start"       2 hours ago         Up 2 hours                              iscsid
39787fd5c4ba        192.168.24.1:8787/rhosp12/openstack-nova-libvirt-docker:2017-07-26.10   "kolla_start"       2 hours ago         Up 2 hours                              nova_libvirt


Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates-7.0.0-0.20170721174554.el7ost.noarch

How reproducible:
100%

Steps to Reproduce:
1. Deploy OSP11
2. Upgrade to OSP12
3. Check the openstack services running on the compute nodes:


Actual results:

[root@compute-1 heat-admin]# systemctl list-units --all | grep ceilometer
  openstack-ceilometer-compute.service                                          loaded    active   running   OpenStack ceilometer compute agent
  openstack-ceilometer-polling.service                                          loaded    active   running   OpenStack ceilometer polling agent


Expected results:
There are no openstack services running on the host.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.